# Generated from psrp-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name psrp

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Ruby library for PSRP
License: Apache-2.0
URL: http://github.com/soluwalana/PSRP-RB
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.0
BuildArch: noarch

%description
Ruby library for sending huge Powershell packets over Windows Remote
Management.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/DemoDLL_RemoteProcess-x64.dll
%{gem_instdir}/DemoDLL_RemoteProcess.dll
%{gem_instdir}/Invoke-ReflectivePEInjection.ps1
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/psrp.gemspec
%{gem_instdir}/test_psrp.rb

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.5-1
- Initial package
